=== debian/changelog ===
ocsigenserver (2.16.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * ocsigenserver-doc: Add Multi-Arch: foreign.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Nov 2020 05:19:59 +0100
