=== debian/watch ===
version=3
https://github.com/ocsigen/ocsigenserver/releases .*/(.*)\.tar\.gz
