=== src/baselib/polytables/Makefile ===
.PHONY: default
default: build

.PHONY: build
build:
	dune build

## Clean up

clean:
	dune clean

distclean: clean
	-rm -f *~ \#* .\#*
