=== debian/changelog ===
ocsigenserver (5.0.1-3build8) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 19:43:43 +0200

ocsigenserver (5.0.1-3build7) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:35:41 +0200

ocsigenserver (5.0.1-3build6) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Aug 2023 20:32:45 +0200

ocsigenserver (5.0.1-3build5) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 10:36:25 +0200

ocsigenserver (5.0.1-3build4) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:16:34 +0200

ocsigenserver (5.0.1-3build3) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Jul 2023 08:22:51 +0200

ocsigenserver (5.0.1-3build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 08:18:58 +0200

ocsigenserver (5.0.1-3build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jul 2023 02:54:08 +0200

ocsigenserver (5.0.1-3) unstable; urgency=medium

  * Team upload.
  * Fix compilation with recent dune.
  * Bump standards-version to 4.6.2
  * Add patch for compilation with recent cohttp

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 09:52:32 +0200

ocsigenserver (5.0.1-2) unstable; urgency=medium

  * Add missing Breaks+Replaces for libocsigenserver-ocaml-dev
    (Closes: #1034938)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 05 May 2023 13:38:30 +0200

ocsigenserver (5.0.1-1) unstable; urgency=medium

  * New upstream release
  * Simplify packaging
    - do no longer install default configurations and init script
    - remove maintainer scripts
    - do no longer provide httpd{,-cgi}
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jan 2022 12:54:32 +0100
