=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
+ ocaml-dune,
  ocaml-findlib,
  liblwt-ocaml-dev (>= 3.0.0),
  liblwt-ssl-ocaml-dev,
@@ -15,12 +16,13 @@
  libpcre-ocaml-dev,
  libsqlite3-ocaml-dev,
  libcryptokit-ocaml-dev,
- libtyxml-ocaml-dev,
  libfindlib-ocaml-dev,
  libipaddr-ocaml-dev,
  libxml-light-ocaml-dev,
+ libhmap-ocaml-dev,
+ libcohttp-lwt-unix-ocaml-dev (>= 5.1.0),
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://ocsigen.org/ocsigenserver/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocsigenserver
@@ -30,12 +32,11 @@
 Section: httpd
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: adduser, psmisc, procps,
+Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Suggests: ocsigenserver-doc
-Provides: httpd, httpd-cgi
 Description: web server of the Ocsigen project
  The Ocsigen project is aimed at proposing clean and safe tools for
  developing and running client/server Web 2.0 applications.
@@ -52,7 +53,10 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
+Breaks: libocsigenserver-ocaml-dev (<< 5)
+Replaces: libocsigenserver-ocaml-dev (<< 5)
 Provides: ${ocaml:Provides}
+Suggests: ocaml-findlib
 Description: web server of the Ocsigen project (runtime libraries)
  The Ocsigen project is aimed at proposing clean and safe tools for
  developing and running client/server Web 2.0 applications.
@@ -69,7 +73,6 @@
 Architecture: any
 Depends:
  ocaml-findlib,
- libgdbm-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
