=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

BUILD_DOC := $(if $(findstring ocsigenserver-doc,$(shell dh_listpackages)),yes,no)

%:
	dh $@ --with ocaml

override_dh_auto_clean:
# upstream "make distclean" is broken
	dune clean
	rm -rf doc/api-html local/etc local/var/log local/var/run

override_dh_auto_configure:
	mkdir -p local/etc
	sh configure \
	    --temproot $(DESTDIR) \
	    --prefix /usr \
	    --bindir /usr/bin \
	    --libdir $(OCAML_STDLIB_DIR) \
	    --mandir /usr/share/man/man1 \
	    --docdir /usr/share/doc/ocsigenserver/api-html \
	    --staticpagesdir /usr/share/ocsigenserver \
	    --ocsigen-user ocsigen \
	    --ocsigen-group ocsigen
	$(MAKE) -C src confs

override_dh_auto_build:
	dune build -p ocsigenserver
ifeq ($(BUILD_DOC),yes)
	$(MAKE) doc
endif

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/*/LICENSE*
ifeq ($(BUILD_DOC),yes)
	$(MAKE) install.doc
endif
