=== debian/changelog ===
ocsigenserver (5.1.2-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 10:32:06 +0200

ocsigenserver (5.1.2-2) unstable; urgency=medium

  * Do no longer Build-Depend on libocamlnet-ocaml-dev

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 08:10:13 +0200

ocsigenserver (5.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 14 Oct 2023 11:04:44 +0200

ocsigenserver (5.1.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
    - use ocaml-re instead of pcre-ocaml (Closes: #1042501)
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Use secure URI in Homepage field

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Sep 2023 12:57:54 +0200
