=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  liblwt-ocaml-dev (>= 3.0.0),
  liblwt-ssl-ocaml-dev,
  liblwt-log-ocaml-dev,
- libocamlnet-ocaml-dev,
- libpcre-ocaml-dev,
+ libzip-ocaml-dev,
+ libre-ocaml-dev (>= 1.11.0),
  libsqlite3-ocaml-dev,
  libcryptokit-ocaml-dev,
  libfindlib-ocaml-dev,
@@ -21,10 +21,10 @@
  libxml-light-ocaml-dev,
  libhmap-ocaml-dev,
  libcohttp-lwt-unix-ocaml-dev (>= 5.1.0),
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://ocsigen.org/ocsigenserver/
+Homepage: https://ocsigen.org/ocsigenserver/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocsigenserver
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocsigenserver.git
